0

Installed dependencies like so:

sudo apt-get install cmake libvala-0.30-dev valac-0.30 libwebkitgtk-3.0-dev libgranite-dev libcanberra-dev libsqlite3-dev libgmime-2.6-dev libsecret-1-dev libgcr-3-dev libgirepository1.0-dev valadoc

Then tried to build the new pantheon-mail but getting stuck at this error

[ 76%] Generating .pantheon-mail.stamp /usr/local/src/pantheon-mail/src/client/conversation-viewer/ConversationWidget.vala:98.13-98.34: error: The type name `Granite.Widgets.Avatar' could not be found private Granite.Widgets.Avatar avatar; ^^^^^^^^^^^^^^^^^^^^^^ Compilation failed: 1 error(s), 0 warning(s) make[2]: * [src/.pantheon-mail.stamp] Error 1 make[1]: * [src/CMakeFiles/pantheon-mail.dir/all] Error 2 make: *** [all] Error 2

Not sure how to proceed, any build tips appreciated

  • Are you trying to build from tar.gz? – bitseater Mar 28 '16 at 19:13
  • No building from latest version obtained via command: 'bzr branch lp:pantheon-mail' – Seth Mar 28 '16 at 21:19
  • Over freya 0.3? – bitseater Mar 28 '16 at 21:29
  • Correct. elementary OS 0.3.2 Freya (32-bit) – Seth Mar 28 '16 at 21:38
2

You're trying to build pantheon-mail with dependencies on libgranite over Freya 0.3.

This library version don't support "Granite.Widgets.Avatar", which it's incluided in libgranite for 0.4. You must upgrade it to this version before build pantheon-mail

More info: Granite on Launchpad

You need to update the following libraries in order to satisfy all pantheon-mail dependencies:

  • libcairo2 (>= 1.2.4)
  • libgee-0.8-2 (>= 0.14.0)
  • libgranite3 (>= 0.3.1+r930+pkg83~daily~ubuntu0.4.1)

All others necessary libraries are already in Freya. These changes are needed to the latest version of pantheon-mail (pantheon-mail - 1.0.0+r2030+pkg7~daily~ubuntu0.4.1)

You must keep in mind that pantheon-mail, and libgranite for Loki 0.4, are under development. So you can find some aditional issues.

More info : Mail in Launchpad

PPA DAILY VERSION

Also you can get pantheon-mail running on Freya (aka Mail) from the daily elementary OS PPA. Open terminal and execute:

sudo add-apt-repository ppa:elementary-os/daily
sudo apt-get update
sudo apt-get install pantheon-mail

Before running, you must remove Geary from your system:

sudo apt-get remove geary

Finally, remove daily ppa to prevent your system become unstable:

sudo add-apt-repository -r ppa:elementary-os/daily

P.S.- It is important that during this process not perform a system upgrade or dist-upgrade

| improve this answer | |
  • Maybe I spoke too soon. That did get me past the Granite error a bit further to [ 88%] Building C object src/CMakeFiles/pantheon-mail.dir/client/conversation-viewer/ConversationWidget.c.o then it fails again with: make[2]: *** [src/CMakeFiles/pantheon-mail.dir/client/conversation-viewer/ConversationWidget.c.o] Error 1 make[1]: *** [src/CMakeFiles/pantheon-mail.dir/all] Error 2 – Seth Mar 28 '16 at 22:57
  • @Seth, i've updated my answer. Please, share your results. Cheers. – bitseater Mar 29 '16 at 20:51
  • Build is still failing at 88%, here's the bug report with debug build log – Seth Mar 30 '16 at 23:40
  • Versions of installed dependencies: libcairo2-dev 1.14.2-1ubuntu1~trusty1 libgee-0.8-dev 0.10.5-1ubuntu1 libgranite-dev 0.3.1+r871+pkg84~ubuntu0.3.1 – Seth Mar 30 '16 at 23:42
  • You can install also via daily ppa to resolve dependencies. – bitseater Apr 1 '16 at 17:47

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.